[![Plop Grizzly](https://plopgrizzly.com/images/logo-bar.png)](https://plopgrizzly.com)

# [Aldaron's Device Interface / GPU / Base](https://crates.io/crates/adi_gpu_base)
Trait for implementing the adi_gpu api.

This project is part of [ADI](https://crates.io/crates/adi).

## Features
* Provide trait for the adi_gpu api
* Helper functions for implementations.

## Roadmap to 1.0 (Future Features)
* WIP

## Change Log
### 0.11
* Version now matches adi\_gpu.
* Added drop function to implement.

### 0.9
* Update to euler 0.4

### 0.8
* Now depends on Euler for Vec3 and Mat4

### 0.7
* Moved `collision` function, and other `Octree`-related code to another crate.

### 0.6
* Added `collision` function for collison detection.
